Jump to content

HP EX470 MediaSmart Server support

Additional Software

  • PrintPrint

This document applies to HP MediaSmart Server EX470 and EX475.

Internet Explorer 6.0 or later is required to run the HP MediaSmart Server software. Download Internet Explorer from click here to go to www.microsoft.com/downloads
iTunes 7.1 or later is required for combining household music libraries and streaming music with iTunes. Download iTunes from click here to go to www.apple.com/itunes/download .
NOTE:One or more of the links above will take you outside the Hewlett-Packard Web site. HP does not control and is not responsible for information outside of the HP Web site.
NOTE:One or more of the links above will take you outside the Hewlett-Packard Web site. HP does not control and is not responsible for information outside of the HP Web site.
HP EX470 MediaSmart Server

HP Support forums

Find solutions and collaborate with others on the HP Support Forum
HP.comHP on FacebookHP on TwitterHP on YouTubeHP on Linked InHP on FlickrHP on Google+